Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## pipe.gui
Class ModuleMethod

    java.lang.Object
      pipe.gui.ModuleMethod

public class ModuleMethod
extends java.lang.Object

ModuleMethod encapsulates information about a module method and is designed to be used as a userobject in nodes in a JTree. In this case for nodes representing module methods.

Field Summary
`private java.lang.Class` | `modClass`
`private java.lang.reflect.Method` | `modMeth`
`private java.lang.String` | `name`

Constructor Summary
`ModuleMethod(java.lang.Class cl, java.lang.reflect.Method m)`

Method Summary
`protected void` | `execute(DataLayer data)` Executes the Method that this class represents.
`java.lang.Class` | `getModClass()`
`void` | `setName(java.lang.String name)`
`java.lang.String` | `toString()` Returns the name of the modMeth

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### modMeth

    private java.lang.reflect.Method modMeth

### modClass

    private java.lang.Class modClass

### name

    private java.lang.String name

Constructor Detail

### ModuleMethod

    public ModuleMethod(java.lang.Class cl,
                        java.lang.reflect.Method m)

Method Detail

### toString

    public java.lang.String toString()

  Returns the name of the modMeth

### setName

    public void setName(java.lang.String name)

### execute

    protected void execute(DataLayer data)

  Executes the Method that this class represents.

  Parameters:
    `data` - The dataLayer object that will be passed as an argument to the method.

### getModClass

    public java.lang.Class getModClass()

  Returns:
    Returns the modClass.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD